Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.util
Class SimpleLocator

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.util.SimpleLocator

All Implemented Interfaces:
  org.apache.xerces.xni.XMLLocator

public class SimpleLocator
extends java.lang.Object
implements org.apache.xerces.xni.XMLLocator

An XMLLocator implementation used for schema error reporting.

Version:
  $Id: SimpleLocator.java,v 1.3 2003/03/26 04:19:23 neilg Exp $
Author:
  Sandy Gao, IBM

Constructor Summary
`SimpleLocator()`
`SimpleLocator(java.lang.String lsid, java.lang.String esid, int line, int column)`

Method Summary
`java.lang.String` | `getBaseSystemId()` Returns the base system identifier.
`int` | `getColumnNumber()` Returns the column number.
`java.lang.String` | `getEncoding()` Returns the encoding of the current entity.
`java.lang.String` | `getExpandedSystemId()` Returns the expanded system identifier.
`int` | `getLineNumber()` Returns the line number.
`java.lang.String` | `getLiteralSystemId()` Returns the literal system identifier.
`java.lang.String` | `getPublicId()` Returns the public identifier.
`void` | `setBaseSystemId(java.lang.String systemId)`
`void` | `setColumnNumber(int col)`
`void` | `setExpandedSystemId(java.lang.String systemId)`
`void` | `setLineNumber(int line)`
`void` | `setLiteralSystemId(java.lang.String systemId)`
`void` | `setPublicId(java.lang.String publicId)`
`void` | `setValues(java.lang.String lsid, java.lang.String esid, int line, int column)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleLocator

    public SimpleLocator()

### SimpleLocator

    public SimpleLocator(java.lang.String lsid,
                         java.lang.String esid,
                         int line,
                         int column)

Method Detail

### setValues

    public void setValues(java.lang.String lsid,
                          java.lang.String esid,
                          int line,
                          int column)

### getLineNumber

    public int getLineNumber()

  Description copied from interface: `org.apache.xerces.xni.XMLLocator`
  Returns the line number.
  Specified by:
    `getLineNumber` in interface `org.apache.xerces.xni.XMLLocator`

### getColumnNumber

    public int getColumnNumber()

  Description copied from interface: `org.apache.xerces.xni.XMLLocator`
  Returns the column number.
  Specified by:
    `getColumnNumber` in interface `org.apache.xerces.xni.XMLLocator`

### getPublicId

    public java.lang.String getPublicId()

  Description copied from interface: `org.apache.xerces.xni.XMLLocator`
  Returns the public identifier.
  Specified by:
    `getPublicId` in interface `org.apache.xerces.xni.XMLLocator`

### getExpandedSystemId

    public java.lang.String getExpandedSystemId()

  Description copied from interface: `org.apache.xerces.xni.XMLLocator`
  Returns the expanded system identifier.
  Specified by:
    `getExpandedSystemId` in interface `org.apache.xerces.xni.XMLLocator`

### getLiteralSystemId

    public java.lang.String getLiteralSystemId()

  Description copied from interface: `org.apache.xerces.xni.XMLLocator`
  Returns the literal system identifier.
  Specified by:
    `getLiteralSystemId` in interface `org.apache.xerces.xni.XMLLocator`

### getBaseSystemId

    public java.lang.String getBaseSystemId()

  Description copied from interface: `org.apache.xerces.xni.XMLLocator`
  Returns the base system identifier.
  Specified by:
    `getBaseSystemId` in interface `org.apache.xerces.xni.XMLLocator`

### setColumnNumber

    public void setColumnNumber(int col)

  See Also:
    `org.apache.xerces.xni.XMLLocator#setColumnNumber(int)`

### setLineNumber

    public void setLineNumber(int line)

  See Also:
    `org.apache.xerces.xni.XMLLocator#setLineNumber(int)`

### setBaseSystemId

    public void setBaseSystemId(java.lang.String systemId)

  See Also:
    `XMLResourceIdentifier.setBaseSystemId(String)`

### setExpandedSystemId

    public void setExpandedSystemId(java.lang.String systemId)

  See Also:
    `XMLResourceIdentifier.setExpandedSystemId(String)`

### setLiteralSystemId

    public void setLiteralSystemId(java.lang.String systemId)

  See Also:
    `XMLResourceIdentifier.setLiteralSystemId(String)`

### setPublicId

    public void setPublicId(java.lang.String publicId)

  See Also:
    `XMLResourceIdentifier.setPublicId(String)`

### getEncoding

    public java.lang.String getEncoding()

  Returns the encoding of the current entity. Since these locators are used in the construction of XMLParseExceptions, which know nothing about encodings, there is no point in having this object deal intelligently with encoding information.
  Specified by:
    `getEncoding` in interface `org.apache.xerces.xni.XMLLocator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.